Bug 363161 - yum Man pages missing info
yum Man pages missing info
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2007-11-01 20:48 EDT by Robert Parten
Modified: 2008-03-13 12:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-13 12:15:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robert Parten 2007-11-01 20:48:43 EDT
Description of problem: Upon looking into the man and info pages there is not a
listing for yum groupinstall.

Version-Release number of selected component (if applicable):

How reproducible: All the time

Steps to Reproduce:
2.type (man yum)
Actual results: You will see that yum man pages don't have anything listed for
explaining the use of (yum groupinstall [.....])

Expected results: Add groupinstall to the docs for future new users so they can
learn about this valuable tool. This would allow more new users to utilize the
man page instead of being a help vampire on IRC or Forums

Additional info:
Comment 1 Karsten Wade 2007-11-01 21:29:39 EDT
Reassigning to proper component (yum).
Comment 2 Steve Siano 2007-11-01 22:32:44 EDT
1.  In addition to providing better documentation for all of the yum group
commands, please provide an explanation of how yum grouplist determines if a
group is Installed or Available.

I believe a group is considered to be Installed if all of its Mandatory and
Default packages are installed.  Otherwise, it is Available.  But the method
should be stated clearly in the man page, because other methods are possible,
such as the group being considered installed if any of its Mandatory or Default
packages are installed.

2.  The order of the command definitions should be made to match the order of
the commands in the list following "command is one of:"

3.  The makecache command also needs an definition.

4.  For the grouplist command, the argument [hidden] may not be valid - it may
be a typo.
Comment 3 Seth Vidal 2007-12-06 22:53:19 EST
If you have the time and are willing to submit a patch to the man page for this
it would be appreciated. Thanks
Comment 4 Seth Vidal 2008-03-12 11:27:29 EDT
Comment 5 James Antill 2008-03-13 12:15:27 EDT
 I did everything but #2, also #4 isn't a typo but I explained it.

Note You need to log in before you can comment on or make changes to this bug.